Subject: [clisp-list] BUG :: win32 install.bat

From: [email-masked]
Date: Mon Feb 2 10:26:17 2004

Hi,

I have no idea if this is going to reach someone who cares...

I downloaded the latest release of CLISP 2.32 from sourceforge as a win32
binary. However being a windowsXP user the install.bat file was non
functional from use of unix path notation / instead of \ and also the use
of the pipe | symbol as ASCII art which is now used in the DOS interpreter
in winXP.

Revised batch file as follows:

@echo off

echo +==========================================================+
echo : this will install CLISP on your system,                  :
echo : associating file types FAS, MEM and LISP with CLISP.     :
echo : it will also create a shortcut to CLISP on your desktop. :
echo :               press C-c to abort                         :
echo +==========================================================+
pause

if exist src\install.lisp goto installsrc
if exist install.lisp goto install
goto notfound
:installsrc
full\lisp.exe -B . -M full\lispinit.mem -norc -C src\install.lisp
goto exit
:install
full\lisp.exe -B . -M full\lispinit.mem -norc -C install.lisp
goto exit
:notfound
echo Sorry, install.lisp not found, cannot install
:exit
pause

---

From: Sam Steingold <[email-masked]>
Date: Mon Feb 2 10:49:14 2004

> *  <[email-masked]> [2004-02-02 18:25:09 +0000]:
>
> I downloaded the latest release of CLISP 2.32 from sourceforge as a
> win32 binary. However being a windowsXP user the install.bat file was
> non functional from use of unix path notation / instead of \ and also
> the use of the pipe | symbol as ASCII art which is now used in the DOS
> interpreter in winXP.

thanks.
this has already been fixed in the CVS.

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
Failure is not an option. It comes bundled with your Microsoft product.